org.springframework.expression.spel.support

## Enum ReflectionHelper.ArgsMatchKind

- java.lang.Object
- - java.lang.Enum<ReflectionHelper.ArgsMatchKind>
  - - org.springframework.expression.spel.support.ReflectionHelper.ArgsMatchKind

- All Implemented Interfaces:
    Serializable, Comparable<ReflectionHelper.ArgsMatchKind>
  Enclosing class:
    ReflectionHelper

  Deprecated.
  in its public form as of Spring 3.2.7, since there is no need to refer to this directly...

      @Deprecated
      public static enum ReflectionHelper.ArgsMatchKind
      extends Enum<ReflectionHelper.ArgsMatchKind>

  See Also:
    `ReflectionHelper.ArgumentsMatchInfo.isExactMatch()`, `ReflectionHelper.ArgumentsMatchInfo.isCloseMatch()`, `ReflectionHelper.ArgumentsMatchInfo.isMatchRequiringConversion()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSE` Deprecated. A close match is where the parameter types either exactly match or are assignment-compatible
    `EXACT` Deprecated. An exact match is where the parameter types exactly match what the method/constructor is expecting
    `REQUIRES_CONVERSION` Deprecated. A conversion match is where the type converter must be used to transform some of the parameter types

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReflectionHelper.ArgsMatchKind` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static ReflectionHelper.ArgsMatchKind[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT

          public static final ReflectionHelper.ArgsMatchKind EXACT

      Deprecated.
      An exact match is where the parameter types exactly match what the method/constructor is expecting

    - #### CLOSE

          public static final ReflectionHelper.ArgsMatchKind CLOSE

      Deprecated.
      A close match is where the parameter types either exactly match or are assignment-compatible

    - #### REQUIRES_CONVERSION

          public static final ReflectionHelper.ArgsMatchKind REQUIRES_CONVERSION

      Deprecated.
      A conversion match is where the type converter must be used to transform some of the parameter types

  - ### Method Detail

    - #### values

          public static ReflectionHelper.ArgsMatchKind[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReflectionHelper.ArgsMatchKind c : ReflectionHelper.ArgsMatchKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReflectionHelper.ArgsMatchKind valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null